aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools/android/bin
diff options
context:
space:
mode:
authorGravatar djsollen <djsollen@google.com>2016-04-29 08:09:43 -0700
committerGravatar Commit bot <commit-bot@chromium.org>2016-04-29 08:09:43 -0700
commitaffacce4c6d4eb875819392de8308e191476c8f9 (patch)
treefca7415e963377f054b66d17ae30815bb74809df /platform_tools/android/bin
parentcfeb85fa6a2fcebc0c54f08f313058bae7258e63 (diff)
Require Android SDK copy of CMake to build Vulkan on Android.
Diffstat (limited to 'platform_tools/android/bin')
-rwxr-xr-xplatform_tools/android/bin/android_setup.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/platform_tools/android/bin/android_setup.sh b/platform_tools/android/bin/android_setup.sh
index 503ee023e7..f242bfa51b 100755
--- a/platform_tools/android/bin/android_setup.sh
+++ b/platform_tools/android/bin/android_setup.sh
@@ -52,10 +52,6 @@ if [ "$USE_CLANG" == "true" ]; then
export GYP_DEFINES="skia_clang_build=1 $GYP_DEFINES"
fi
-if [ "$SKIA_VULKAN" == "true" ]; then
- export GYP_DEFINES="skia_vulkan=1 $GYP_DEFINES"
-fi
-
function verbose {
if [[ -n $VERBOSE ]]; then
echo $@
@@ -89,6 +85,17 @@ if [ -z "$ANDROID_HOME" ]; then
exportVar ANDROID_HOME $ANDROID_SDK_ROOT
fi
+if [ "$SKIA_VULKAN" == "true" ]; then
+ export GYP_DEFINES="skia_vulkan=1 $GYP_DEFINES"
+ # add cmake from the SDK to your path if it doesn't exist
+ if [ ! -d "${ANDROID_SDK_ROOT}/cmake" ]; then
+ echo "The Android SDK Tools version of CMake is required to build Vulkan. ${ANDROID_SDK_ROOT}/cmake"
+ exit 1
+ else
+ export PATH=${ANDROID_SDK_ROOT}/cmake/bin:$PATH
+ fi
+fi
+
# Helper function to configure the GYP defines to the appropriate values
# based on the target device.
setup_device() {